import { Image } from "../";
/**
 * The PredefinedImages collection supplies commonly utilized container
 * image objects within the gcix framework.
 */
export declare class PredefinedImages {
    /**
     * A predefined Kaniko container image object.
     */
    static readonly KANIKO: Image;
    /**
     * A predefined Crane container image object.
     */
    static readonly CRANE: Image;
    /**
     * A predefined Dive container image object.
     */
    static readonly DIVE: Image;
    /**
     * A predefined GCIP container image object.
     */
    static readonly GCIP: Image;
    /**
     * A predefined Trivy container image object.
     */
    static readonly TRIVY: Image;
    /**
     * A predefined Busybox container image object.
     */
    static readonly BUSYBOX: Image;
    /**
     * A predefined Alpine Git container image object.
     * This image is useful for Git operations within containers.
     */
    static readonly ALPINE_GIT: Image;
    /**
     * A predefined GCIX container image object.
     */
    static readonly GCIX: Image;
    /**
     * Private constructor to prevent instantiation.
     */
    private constructor();
}
