/**
 * GitlabScripts Class Documentation
 *
 * The `GitlabScripts` class provides utility methods for performing various Git-related actions in the context of GitLab.
 */
export declare class GitlabScripts {
    /**
     * Clones a repository from a remote Git server using the Git command.
     *
     * @param path - The path of the repository to clone. Should start with a forward slash ("/").
     * @param branch - (Optional) The branch name to clone from the remote repository. Currently, only "main" is supported.
     * @returns A Git clone command as a string with the provided branch and repository path.
     */
    static cloneRepository(path: string, branch?: string): string;
    private constructor();
}
