/**
 * Checks if a given version string complies with Semantic Versioning (SemVer) specifications.
 *
 * @param version - The version string to be checked for SemVer compliance.
 * @returns `true` if the version string is SemVer compliant, otherwise `false`.
 *
 * @see [Semantic Versioning (SemVer)](https://semver.org/)
 * @see [Semantic Versioning Regex](https://regex101.com/r/vkijKf/1/)
 */
export declare function isSemver(version: string): boolean;
