import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CloudFormationClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CloudFormationClient";
import {
  ActivateOrganizationsAccessInput,
  ActivateOrganizationsAccessOutput,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ActivateOrganizationsAccessCommandInput
  extends ActivateOrganizationsAccessInput {}
export interface ActivateOrganizationsAccessCommandOutput
  extends ActivateOrganizationsAccessOutput,
    __MetadataBearer {}
export declare class ActivateOrganizationsAccessCommand extends $Command<
  ActivateOrganizationsAccessCommandInput,
  ActivateOrganizationsAccessCommandOutput,
  CloudFormationClientResolvedConfig
> {
  readonly input: ActivateOrganizationsAccessCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ActivateOrganizationsAccessCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CloudFormationClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ActivateOrganizationsAccessCommandInput,
    ActivateOrganizationsAccessCommandOutput
  >;
  private serialize;
  private deserialize;
}
