import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CloudFormationClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CloudFormationClient";
import { ActivateTypeInput, ActivateTypeOutput } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ActivateTypeCommandInput extends ActivateTypeInput {}
export interface ActivateTypeCommandOutput
  extends ActivateTypeOutput,
    __MetadataBearer {}
export declare class ActivateTypeCommand extends $Command<
  ActivateTypeCommandInput,
  ActivateTypeCommandOutput,
  CloudFormationClientResolvedConfig
> {
  readonly input: ActivateTypeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ActivateTypeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CloudFormationClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ActivateTypeCommandInput, ActivateTypeCommandOutput>;
  private serialize;
  private deserialize;
}
