import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CloudFormationClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CloudFormationClient";
import {
  BatchDescribeTypeConfigurationsInput,
  BatchDescribeTypeConfigurationsOutput,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface BatchDescribeTypeConfigurationsCommandInput
  extends BatchDescribeTypeConfigurationsInput {}
export interface BatchDescribeTypeConfigurationsCommandOutput
  extends BatchDescribeTypeConfigurationsOutput,
    __MetadataBearer {}
export declare class BatchDescribeTypeConfigurationsCommand extends $Command<
  BatchDescribeTypeConfigurationsCommandInput,
  BatchDescribeTypeConfigurationsCommandOutput,
  CloudFormationClientResolvedConfig
> {
  readonly input: BatchDescribeTypeConfigurationsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: BatchDescribeTypeConfigurationsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CloudFormationClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    BatchDescribeTypeConfigurationsCommandInput,
    BatchDescribeTypeConfigurationsCommandOutput
  >;
  private serialize;
  private deserialize;
}
