import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CloudFormationClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CloudFormationClient";
import {
  ContinueUpdateRollbackInput,
  ContinueUpdateRollbackOutput,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ContinueUpdateRollbackCommandInput
  extends ContinueUpdateRollbackInput {}
export interface ContinueUpdateRollbackCommandOutput
  extends ContinueUpdateRollbackOutput,
    __MetadataBearer {}
export declare class ContinueUpdateRollbackCommand extends $Command<
  ContinueUpdateRollbackCommandInput,
  ContinueUpdateRollbackCommandOutput,
  CloudFormationClientResolvedConfig
> {
  readonly input: ContinueUpdateRollbackCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ContinueUpdateRollbackCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CloudFormationClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ContinueUpdateRollbackCommandInput,
    ContinueUpdateRollbackCommandOutput
  >;
  private serialize;
  private deserialize;
}
