import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CloudFormationClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CloudFormationClient";
import {
  DeactivateOrganizationsAccessInput,
  DeactivateOrganizationsAccessOutput,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeactivateOrganizationsAccessCommandInput
  extends DeactivateOrganizationsAccessInput {}
export interface DeactivateOrganizationsAccessCommandOutput
  extends DeactivateOrganizationsAccessOutput,
    __MetadataBearer {}
export declare class DeactivateOrganizationsAccessCommand extends $Command<
  DeactivateOrganizationsAccessCommandInput,
  DeactivateOrganizationsAccessCommandOutput,
  CloudFormationClientResolvedConfig
> {
  readonly input: DeactivateOrganizationsAccessCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeactivateOrganizationsAccessCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CloudFormationClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeactivateOrganizationsAccessCommandInput,
    DeactivateOrganizationsAccessCommandOutput
  >;
  private serialize;
  private deserialize;
}
