import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CloudFormationClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CloudFormationClient";
import { DeactivateTypeInput, DeactivateTypeOutput } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeactivateTypeCommandInput extends DeactivateTypeInput {}
export interface DeactivateTypeCommandOutput
  extends DeactivateTypeOutput,
    __MetadataBearer {}
export declare class DeactivateTypeCommand extends $Command<
  DeactivateTypeCommandInput,
  DeactivateTypeCommandOutput,
  CloudFormationClientResolvedConfig
> {
  readonly input: DeactivateTypeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeactivateTypeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CloudFormationClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DeactivateTypeCommandInput, DeactivateTypeCommandOutput>;
  private serialize;
  private deserialize;
}
