import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CloudFormationClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CloudFormationClient";
import {
  DescribeAccountLimitsInput,
  DescribeAccountLimitsOutput,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeAccountLimitsCommandInput
  extends DescribeAccountLimitsInput {}
export interface DescribeAccountLimitsCommandOutput
  extends DescribeAccountLimitsOutput,
    __MetadataBearer {}
export declare class DescribeAccountLimitsCommand extends $Command<
  DescribeAccountLimitsCommandInput,
  DescribeAccountLimitsCommandOutput,
  CloudFormationClientResolvedConfig
> {
  readonly input: DescribeAccountLimitsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeAccountLimitsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CloudFormationClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeAccountLimitsCommandInput,
    DescribeAccountLimitsCommandOutput
  >;
  private serialize;
  private deserialize;
}
