import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CloudFormationClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CloudFormationClient";
import {
  DescribeOrganizationsAccessInput,
  DescribeOrganizationsAccessOutput,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeOrganizationsAccessCommandInput
  extends DescribeOrganizationsAccessInput {}
export interface DescribeOrganizationsAccessCommandOutput
  extends DescribeOrganizationsAccessOutput,
    __MetadataBearer {}
export declare class DescribeOrganizationsAccessCommand extends $Command<
  DescribeOrganizationsAccessCommandInput,
  DescribeOrganizationsAccessCommandOutput,
  CloudFormationClientResolvedConfig
> {
  readonly input: DescribeOrganizationsAccessCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeOrganizationsAccessCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CloudFormationClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeOrganizationsAccessCommandInput,
    DescribeOrganizationsAccessCommandOutput
  >;
  private serialize;
  private deserialize;
}
