import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CloudFormationClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CloudFormationClient";
import {
  DescribeTypeRegistrationInput,
  DescribeTypeRegistrationOutput,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeTypeRegistrationCommandInput
  extends DescribeTypeRegistrationInput {}
export interface DescribeTypeRegistrationCommandOutput
  extends DescribeTypeRegistrationOutput,
    __MetadataBearer {}
export declare class DescribeTypeRegistrationCommand extends $Command<
  DescribeTypeRegistrationCommandInput,
  DescribeTypeRegistrationCommandOutput,
  CloudFormationClientResolvedConfig
> {
  readonly input: DescribeTypeRegistrationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeTypeRegistrationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CloudFormationClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeTypeRegistrationCommandInput,
    DescribeTypeRegistrationCommandOutput
  >;
  private serialize;
  private deserialize;
}
