import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CloudFormationClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CloudFormationClient";
import {
  EstimateTemplateCostInput,
  EstimateTemplateCostOutput,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface EstimateTemplateCostCommandInput
  extends EstimateTemplateCostInput {}
export interface EstimateTemplateCostCommandOutput
  extends EstimateTemplateCostOutput,
    __MetadataBearer {}
export declare class EstimateTemplateCostCommand extends $Command<
  EstimateTemplateCostCommandInput,
  EstimateTemplateCostCommandOutput,
  CloudFormationClientResolvedConfig
> {
  readonly input: EstimateTemplateCostCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: EstimateTemplateCostCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CloudFormationClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    EstimateTemplateCostCommandInput,
    EstimateTemplateCostCommandOutput
  >;
  private serialize;
  private deserialize;
}
