import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CloudFormationClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CloudFormationClient";
import {
  ListStackInstanceResourceDriftsInput,
  ListStackInstanceResourceDriftsOutput,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ListStackInstanceResourceDriftsCommandInput
  extends ListStackInstanceResourceDriftsInput {}
export interface ListStackInstanceResourceDriftsCommandOutput
  extends ListStackInstanceResourceDriftsOutput,
    __MetadataBearer {}
export declare class ListStackInstanceResourceDriftsCommand extends $Command<
  ListStackInstanceResourceDriftsCommandInput,
  ListStackInstanceResourceDriftsCommandOutput,
  CloudFormationClientResolvedConfig
> {
  readonly input: ListStackInstanceResourceDriftsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListStackInstanceResourceDriftsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CloudFormationClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListStackInstanceResourceDriftsCommandInput,
    ListStackInstanceResourceDriftsCommandOutput
  >;
  private serialize;
  private deserialize;
}
