import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CloudFormationClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CloudFormationClient";
import {
  ListTypeRegistrationsInput,
  ListTypeRegistrationsOutput,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ListTypeRegistrationsCommandInput
  extends ListTypeRegistrationsInput {}
export interface ListTypeRegistrationsCommandOutput
  extends ListTypeRegistrationsOutput,
    __MetadataBearer {}
export declare class ListTypeRegistrationsCommand extends $Command<
  ListTypeRegistrationsCommandInput,
  ListTypeRegistrationsCommandOutput,
  CloudFormationClientResolvedConfig
> {
  readonly input: ListTypeRegistrationsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListTypeRegistrationsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CloudFormationClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListTypeRegistrationsCommandInput,
    ListTypeRegistrationsCommandOutput
  >;
  private serialize;
  private deserialize;
}
