import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CloudFormationClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CloudFormationClient";
import {
  RecordHandlerProgressInput,
  RecordHandlerProgressOutput,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface RecordHandlerProgressCommandInput
  extends RecordHandlerProgressInput {}
export interface RecordHandlerProgressCommandOutput
  extends RecordHandlerProgressOutput,
    __MetadataBearer {}
export declare class RecordHandlerProgressCommand extends $Command<
  RecordHandlerProgressCommandInput,
  RecordHandlerProgressCommandOutput,
  CloudFormationClientResolvedConfig
> {
  readonly input: RecordHandlerProgressCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RecordHandlerProgressCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CloudFormationClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RecordHandlerProgressCommandInput,
    RecordHandlerProgressCommandOutput
  >;
  private serialize;
  private deserialize;
}
