import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CloudFormationClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CloudFormationClient";
import {
  SetTypeConfigurationInput,
  SetTypeConfigurationOutput,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface SetTypeConfigurationCommandInput
  extends SetTypeConfigurationInput {}
export interface SetTypeConfigurationCommandOutput
  extends SetTypeConfigurationOutput,
    __MetadataBearer {}
export declare class SetTypeConfigurationCommand extends $Command<
  SetTypeConfigurationCommandInput,
  SetTypeConfigurationCommandOutput,
  CloudFormationClientResolvedConfig
> {
  readonly input: SetTypeConfigurationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: SetTypeConfigurationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CloudFormationClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    SetTypeConfigurationCommandInput,
    SetTypeConfigurationCommandOutput
  >;
  private serialize;
  private deserialize;
}
