import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CloudFormationClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CloudFormationClient";
import {
  SetTypeDefaultVersionInput,
  SetTypeDefaultVersionOutput,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface SetTypeDefaultVersionCommandInput
  extends SetTypeDefaultVersionInput {}
export interface SetTypeDefaultVersionCommandOutput
  extends SetTypeDefaultVersionOutput,
    __MetadataBearer {}
export declare class SetTypeDefaultVersionCommand extends $Command<
  SetTypeDefaultVersionCommandInput,
  SetTypeDefaultVersionCommandOutput,
  CloudFormationClientResolvedConfig
> {
  readonly input: SetTypeDefaultVersionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: SetTypeDefaultVersionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CloudFormationClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    SetTypeDefaultVersionCommandInput,
    SetTypeDefaultVersionCommandOutput
  >;
  private serialize;
  private deserialize;
}
