import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CloudFormationClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CloudFormationClient";
import {
  UpdateTerminationProtectionInput,
  UpdateTerminationProtectionOutput,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface UpdateTerminationProtectionCommandInput
  extends UpdateTerminationProtectionInput {}
export interface UpdateTerminationProtectionCommandOutput
  extends UpdateTerminationProtectionOutput,
    __MetadataBearer {}
export declare class UpdateTerminationProtectionCommand extends $Command<
  UpdateTerminationProtectionCommandInput,
  UpdateTerminationProtectionCommandOutput,
  CloudFormationClientResolvedConfig
> {
  readonly input: UpdateTerminationProtectionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateTerminationProtectionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CloudFormationClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateTerminationProtectionCommandInput,
    UpdateTerminationProtectionCommandOutput
  >;
  private serialize;
  private deserialize;
}
